Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

earlier version VPN High Sierra

  • 1 baphendule
  • 1 inale nkinga
  • 9 views
  • Igcine ukuphendulwa ngu mcalidonio

more options

Runnig MAC High Sierra version 10.13.6 and current VPN version does not work. Is there a earlier version VPN available?

All Replies (1)

more options

Hey Ralf,

Thanks for sharing your concern!

The Mozilla VPN app requires Mac OS 10.15 or higher. Nonetheless, you can use our VPN service through other platforms like Android (version 6 and up), iOS (13.0 and up), and Linux (Ubuntu-only). You can learn more about this here: https://vpn.mozilla.org

Moving forward, if you prefer not to use our service and get a refund on your subscription please contact us. To do so, you can log in to accounts.firefox.com with the Firefox account associated with the subscription, next to subscriptions, click on manage and you will have the option to Contact Support.

-Manuel at Mozilla VPN and FPN Support

Helpful?

Buza umbuzo

Kufanele ulogele ukungena ku-akhawunti yakho ukuze uphendule amaphosti. Uyacelwauqale umbuzo omusha, uma ungekabi nayo i-akhawunti namanje.